org.apache.tinkerpop.gremlin.process.computer.util

## Class VertexProgramHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.VertexProgramHelper

-     public final class VertexProgramHelper
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `deserialize(org.apache.commons.configuration2.Configuration configuration, String key)`
    `static boolean` | `isTransientVertexComputeKey(String key, Set<VertexComputeKey> vertexComputeKeySet)`
    `static void` | `legalConfigurationKeyValueArray(Object... configurationKeyValues)`
    `static <S,E> Traversal.Admin<S,E>` | `reverse(Traversal.Admin<S,E> traversal)`
    `static void` | `serialize(Object object, org.apache.commons.configuration2.Configuration configuration, String key)`
    `static String[]` | `vertexComputeKeysAsArray(Set<VertexComputeKey> vertexComputeKeySet)`
    `static Set<String>` | `vertexComputeKeysAsSet(Set<VertexComputeKey> vertexComputeKeySet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### vertexComputeKeysAsSet

          public static Set<String> vertexComputeKeysAsSet(Set<VertexComputeKey> vertexComputeKeySet)

    - #### isTransientVertexComputeKey

          public static boolean isTransientVertexComputeKey(String key,
                                                            Set<VertexComputeKey> vertexComputeKeySet)

    - #### vertexComputeKeysAsArray

          public static String[] vertexComputeKeysAsArray(Set<VertexComputeKey> vertexComputeKeySet)

    - #### serialize

          public static void serialize(Object object,
                                       org.apache.commons.configuration2.Configuration configuration,
                                       String key)

    - #### deserialize

          public static <T> T deserialize(org.apache.commons.configuration2.Configuration configuration,
                                          String key)

    - #### reverse

          public static <S,E> Traversal.Admin<S,E> reverse(Traversal.Admin<S,E> traversal)

    - #### legalConfigurationKeyValueArray

          public static void legalConfigurationKeyValueArray(Object... configurationKeyValues)
                                                      throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.